<link rel="import" href="../bower_components/polymer/polymer.html">
<link rel="import" href="shared-styles.html">
<link rel="import" href="../bower_components/iron-ajax/iron-ajax.html">
<link rel="import" href="../bower_components/iron-list/iron-list.html">
<link rel="import" href="../bower_components/marked-element/marked-element.html">

<dom-module id="temporal-view">
	<!-- Defines the element's style and local DOM -->
	<template>
		<style include="shared-styles">
			:host {
				display: block;
				padding: 10px;
			}

			iron-list {
				flex: 1 1 auto;
			}

			.card {
				margin-bottom: 10px;
				margin-left: auto;
				margin-right: auto;
				max-width: 800px;
				padding: 20px;
			}

			img {
				margin-top: 20px;
				max-width: 100%;
			}
			
			pre {
				padding: 16px;
				overflow: auto;
				font-size: 85%;
				line-height: 1.45;
				background-color: #f7f7f7;
				border-radius: 3px;
			}
		</style>

		<iron-ajax
			auto
			url="https://cdn.contentful.com/spaces/j4hguit1a68m/entries"
			params='{"access_token":"7e533346201df6eb5cdbc10217418b9ada74032017e9ea2256cd1566d61021c2", "content_type":"post", "order" : "-sys.createdAt"}'
			handle-as="json"
			on-response="handleResponse"
   			last-response="{{ajaxResponse}}"
			debounce-duration="300"></iron-ajax>

		<iron-list items="[[ajaxResponse.items]]">
			<template>
				<div class="card-container">
					<div class="card">
						<h2>[[item.fields.title]]</h2>
						<div class="item">
							<marked-element markdown="[[item.fields.body]]">
							<div class="markdown-html"></div>
							</marked-element>
						</div>
					</div>
				</div>
			</template>
		</iron-list>
	</template>
	<!-- Creates the element's prototype and registers it -->
	<script>
		Polymer({
			is: 'temporal-view',
			handleResponse: function(e) {
				this.async(function(){
					console.log(this.$$('iron-list').fire('iron-resize'));
				}, 3);
			}
		});
	</script>
</dom-module>
